/realms/{realmId}/organizations/{organizationId}/tax-document
curl --request POST \
--url https://api.accounting.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/tax-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "<string>",
"competenceDate": "2023-11-07T05:31:56Z",
"taxDocumentCustomer": {
"type": "<string>",
"name": "<string>",
"email": "<string>",
"federalDocument": "<string>",
"phone": "<string>",
"addressState": "<string>",
"addressCity": "<string>",
"addressStreet": "<string>",
"addressNumber": "<string>",
"addressNeighbourhood": "<string>",
"addressPostalCode": "<string>",
"municipalDocument": "<string>",
"stateDocument": "<string>",
"addressComplement": "<string>"
},
"type": "<unknown>",
"operationNature": "<string>",
"deductions": 123,
"discounts": 123,
"totalValue": 123,
"observation": "<string>",
"externalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.accounting.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/tax-document"
payload = {
"environment": "<string>",
"competenceDate": "2023-11-07T05:31:56Z",
"taxDocumentCustomer": {
"type": "<string>",
"name": "<string>",
"email": "<string>",
"federalDocument": "<string>",
"phone": "<string>",
"addressState": "<string>",
"addressCity": "<string>",
"addressStreet": "<string>",
"addressNumber": "<string>",
"addressNeighbourhood": "<string>",
"addressPostalCode": "<string>",
"municipalDocument": "<string>",
"stateDocument": "<string>",
"addressComplement": "<string>"
},
"type": "<unknown>",
"operationNature": "<string>",
"deductions": 123,
"discounts": 123,
"totalValue": 123,
"observation": "<string>",
"externalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environment: '<string>',
competenceDate: '2023-11-07T05:31:56Z',
taxDocumentCustomer: {
type: '<string>',
name: '<string>',
email: '<string>',
federalDocument: '<string>',
phone: '<string>',
addressState: '<string>',
addressCity: '<string>',
addressStreet: '<string>',
addressNumber: '<string>',
addressNeighbourhood: '<string>',
addressPostalCode: '<string>',
municipalDocument: '<string>',
stateDocument: '<string>',
addressComplement: '<string>'
},
type: '<unknown>',
operationNature: '<string>',
deductions: 123,
discounts: 123,
totalValue: 123,
observation: '<string>',
externalId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.accounting.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/tax-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tax Documents (NFSe)
/realms/{realmId}/organizations/{organizationId}/tax-document
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
tax-document
/realms/{realmId}/organizations/{organizationId}/tax-document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Show child attributes
Show child attributes
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/tax-document/realms/{realmId}/organizations/{organizationId}/tax-document/{taxDocumentId}
⌘I